Package org.opensaml.xacml.policy.impl

# Class PolicySetTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.PolicySetTypeImpl

All Implemented Interfaces:
  `XMLObject`, `PolicySetType`, `XACMLObject`

public class PolicySetTypeImpl extends AbstractXACMLObject implements PolicySetType
Concrete implementation of `PolicySetType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<? extends XACMLObject>`
`choiceGroup`
Elements within the choice group.
`private String`
`combiningAlgo`
Policy combining algorithm ID.
`private DescriptionType`
`description`
Policy set description.
`private ObligationsType`
`obligations`
Policy obligations.
`private DefaultsType`
`policySetDefaults`
Policy set defaults.
`private String`
`policySetId`
ID of this policy set.
`private TargetType`
`target`
Policy set target.
`private String`
`version`
Version of this policy set.

### Fields inherited from interface org.opensaml.xacml.policy.PolicySetType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, DEFAULT_VERSION, POLICY_COMBINING_ALG_ID_ATTRIB_NAME, POLICY_SET_ID_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME, VERSION_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PolicySetTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<CombinerParametersType>`
`getCombinerParameters()`
Gets the combiner parameters for this policy set.
`DescriptionType`
`getDescription()`
Gets the description for this policy set.
`ObligationsType`
`getObligations()`
Gets the obligations of this policy set.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<PolicyType>`
`getPolicies()`
Gets the child policies.
`IndexedXMLObjectChildrenList<XACMLObject>`
`getPolicyChoiceGroup()`
Gets the backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`.
`List<PolicyCombinerParametersType>`
`getPolicyCombinerParameters()`
Gets the policy combiner parameters for this policy set.
`String`
`getPolicyCombiningAlgoId()`
Gets the policy combining algorithm used with this policy set.
`List<IdReferenceType>`
`getPolicyIdReferences()`
Gets the policy Id references.
`List<PolicySetCombinerParametersType>`
`getPolicySetCombinerParameters()`
Gets the policy set combiner parameters for this policy set.
`DefaultsType`
`getPolicySetDefaults()`
Gets the defaults for this policy set.
`String`
`getPolicySetId()`
Gets the ID of this policy set.
`List<IdReferenceType>`
`getPolicySetIdReferences()`
Gets the policy set Id references.
`List<PolicySetType>`
`getPolicySets()`
Gets the child policy sets.
`TargetType`
`getTarget()`
Gets the target of this policy set.
`String`
`getVersion()`
Gets the XACML version of this policy set.
`void`
`setDescription(DescriptionType newDescription)`
Sets the description for this policy set.
`void`
`setObligations(ObligationsType newObligations)`
Sets the obligations of this policy set.
`void`
`setPolicyCombiningAlgoId(String id)`
Sets the policy combining algorithm used with this policy set.
`void`
`setPolicySetDefaults(DefaultsType defaults)`
Sets the defaults for this policy set.
`void`
`setPolicySetId(String id)`
Sets the ID of this policy set.
`void`
`setTarget(TargetType newTarget)`
Sets the target of this policy set.
`void`
`setVersion(String newVersion)`
Sets the XACML version of this policy set.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### description

private DescriptionType description
Policy set description.

### policySetDefaults

private DefaultsType policySetDefaults
Policy set defaults.

### target

private TargetType target
Policy set target.

### choiceGroup

private IndexedXMLObjectChildrenList<? extends XACMLObject> choiceGroup
Elements within the choice group.

### obligations

private ObligationsType obligations
Policy obligations.

### policySetId

private String policySetId
ID of this policy set.

### version

private String version
Version of this policy set.

### combiningAlgo

private String combiningAlgo
Policy combining algorithm ID.

## Constructor Details

### PolicySetTypeImpl

protected PolicySetTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getCombinerParameters

public List<CombinerParametersType> getCombinerParameters()
Gets the combiner parameters for this policy set.

Specified by:
  `getCombinerParameters` in interface `PolicySetType`
Returns:
  combiner parameters for this policy set

### getDescription

public DescriptionType getDescription()
Gets the description for this policy set.

Specified by:
  `getDescription` in interface `PolicySetType`
Returns:
  description for this policy set

### getObligations

public ObligationsType getObligations()
Gets the obligations of this policy set.

Specified by:
  `getObligations` in interface `PolicySetType`
Returns:
  obligations of this policy set

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### getPolicies

public List<PolicyType> getPolicies()
Gets the child policies.

Specified by:
  `getPolicies` in interface `PolicySetType`
Returns:
  child policies

### getPolicyCombinerParameters

public List<PolicyCombinerParametersType> getPolicyCombinerParameters()
Gets the policy combiner parameters for this policy set.

Specified by:
  `getPolicyCombinerParameters` in interface `PolicySetType`
Returns:
  policy combiner parameters for this policy set

### getPolicyCombiningAlgoId

public String getPolicyCombiningAlgoId()
Gets the policy combining algorithm used with this policy set.

Specified by:
  `getPolicyCombiningAlgoId` in interface `PolicySetType`
Returns:
  policy combining algorithm used with this policy set

### getPolicyIdReferences

public List<IdReferenceType> getPolicyIdReferences()
Gets the policy Id references.

Specified by:
  `getPolicyIdReferences` in interface `PolicySetType`
Returns:
  policy Id references

### getPolicySetCombinerParameters

public List<PolicySetCombinerParametersType> getPolicySetCombinerParameters()
Gets the policy set combiner parameters for this policy set.

Specified by:
  `getPolicySetCombinerParameters` in interface `PolicySetType`
Returns:
  policy set combiner parameters for this policy set

### getPolicySetDefaults

public DefaultsType getPolicySetDefaults()
Gets the defaults for this policy set.

Specified by:
  `getPolicySetDefaults` in interface `PolicySetType`
Returns:
  defaults for this policy set

### getPolicySetId

public String getPolicySetId()
Gets the ID of this policy set.

Specified by:
  `getPolicySetId` in interface `PolicySetType`
Returns:
  ID of this policy set

### getPolicySetIdReferences

public List<IdReferenceType> getPolicySetIdReferences()
Gets the policy set Id references.

Specified by:
  `getPolicySetIdReferences` in interface `PolicySetType`
Returns:
  policy set Id references

### getPolicySets

public List<PolicySetType> getPolicySets()
Gets the child policy sets.

Specified by:
  `getPolicySets` in interface `PolicySetType`
Returns:
  child policy sets

### getTarget

public TargetType getTarget()
Gets the target of this policy set.

Specified by:
  `getTarget` in interface `PolicySetType`
Returns:
  target of this policy set

### getVersion

public String getVersion()
Gets the XACML version of this policy set.

Specified by:
  `getVersion` in interface `PolicySetType`
Returns:
  XACML version of this policy set

### setDescription

public void setDescription(DescriptionType newDescription)
Sets the description for this policy set.

Specified by:
  `setDescription` in interface `PolicySetType`
Parameters:
  `newDescription` - description for this policy set

### setObligations

public void setObligations(ObligationsType newObligations)
Sets the obligations of this policy set.

Specified by:
  `setObligations` in interface `PolicySetType`
Parameters:
  `newObligations` - obligations of this policy set

### setPolicyCombiningAlgoId

public void setPolicyCombiningAlgoId(String id)
Sets the policy combining algorithm used with this policy set.

Specified by:
  `setPolicyCombiningAlgoId` in interface `PolicySetType`
Parameters:
  `id` - policy combining algorithm used with this policy set

### setPolicySetDefaults

public void setPolicySetDefaults(DefaultsType defaults)
Sets the defaults for this policy set.

Specified by:
  `setPolicySetDefaults` in interface `PolicySetType`
Parameters:
  `defaults` - defaults for this policy set

### setPolicySetId

public void setPolicySetId(String id)
Sets the ID of this policy set.

Specified by:
  `setPolicySetId` in interface `PolicySetType`
Parameters:
  `id` - ID of this policy set

### setTarget

public void setTarget(TargetType newTarget)
Sets the target of this policy set.

Specified by:
  `setTarget` in interface `PolicySetType`
Parameters:
  `newTarget` - target of this policy set

### setVersion

public void setVersion(String newVersion)
Sets the XACML version of this policy set.

Specified by:
  `setVersion` in interface `PolicySetType`
Parameters:
  `newVersion` - XACML version of this policy set

### getPolicyChoiceGroup

public IndexedXMLObjectChildrenList<XACMLObject> getPolicyChoiceGroup()
Gets the backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`. The individual getter/setter methods should be preferred over this method, however this method may be used to fine tune the ordering of all of these objects if that should be necessary.

Specified by:
  `getPolicyChoiceGroup` in interface `PolicySetType`
Returns:
  backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`